classification
Title: Not obvious that new required attrs of sys.implementation must have a PEP.
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cheryl.sabella, docs@python, eric.snow, miss-islington, potomak
Priority: normal Keywords: easy, patch

Created on 2019-06-14 18:02 by eric.snow, last changed 2019-07-15 14:47 by eric.snow. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14328 merged potomak, 2019-06-24 00:50
PR 14783 merged miss-islington, 2019-07-15 14:38
PR 14784 merged miss-islington, 2019-07-15 14:38
Messages (6)
msg345624 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2019-06-14 18:02
PEP 421 added sys.implementation for Python implementors to provide values required by stdlib code (e.g. importlib).  That PEP indicates that any new required attributes must go through the PEP process. [1]  That requirement isn't obvious.

To fix that we should add a brief note to the sys.implementation docs [2] identifying the requirement.


[1] https://www.python.org/dev/peps/pep-0421/#adding-new-required-attributes
[2] https://docs.python.org/3/library/sys.html#sys.implementation
msg346313 - (view) Author: Giovanni Cappellotto (potomak) * Date: 2019-06-23 04:44
Hi,

I'd like to claim this task if nobody else already started working on it.
msg347964 - (view) Author: miss-islington (miss-islington) Date: 2019-07-15 14:37
New changeset 52693c10e82622d883433b779a45d0bd792f17ed by Miss Islington (bot) (Giovanni Cappellotto) in branch 'master':
bpo-37284: Add note to sys.implementation doc (GH-14328)
https://github.com/python/cpython/commit/52693c10e82622d883433b779a45d0bd792f17ed
msg347965 - (view) Author: miss-islington (miss-islington) Date: 2019-07-15 14:44
New changeset 134f79682d6729e3cf84b665d615f576075550e8 by Miss Islington (bot) in branch '3.7':
bpo-37284: Add note to sys.implementation doc (GH-14328)
https://github.com/python/cpython/commit/134f79682d6729e3cf84b665d615f576075550e8
msg347966 - (view) Author: miss-islington (miss-islington) Date: 2019-07-15 14:45
New changeset 1ff4c4277421c02df5ca0894fb95de70cd9cd5f4 by Miss Islington (bot) in branch '3.8':
bpo-37284: Add note to sys.implementation doc (GH-14328)
https://github.com/python/cpython/commit/1ff4c4277421c02df5ca0894fb95de70cd9cd5f4
msg347967 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2019-07-15 14:47
@potomak, thanks for doing this!
History
Date User Action Args
2019-07-15 14:47:52eric.snowsetmessages: + msg347967
2019-07-15 14:47:22eric.snowsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-07-15 14:45:16miss-islingtonsetmessages: + msg347966
2019-07-15 14:44:32miss-islingtonsetmessages: + msg347965
2019-07-15 14:38:56miss-islingtonsetpull_requests: + pull_request14581
2019-07-15 14:38:48miss-islingtonsetpull_requests: + pull_request14580
2019-07-15 14:37:35miss-islingtonsetnosy: + miss-islington
messages: + msg347964
2019-06-24 00:50:12potomaksetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request14148
2019-06-23 04:44:45potomaksetnosy: + potomak
messages: + msg346313
2019-06-14 18:02:41eric.snowcreate